#    definition of required VME  modules

set vmediagmenulist {}
set vmediagtasklist {}

lappend tasklist     "vmediag #"
lappend vmediagtasklist vmediag
lappend vmediagmenulist "VME..."

lappend tasklist     "ipdac #"
lappend vmediagtasklist ipdac
lappend vmediagmenulist "IP-DAC diagnostics..."

lappend tasklist     "ip16dac #"
lappend vmediagtasklist ip16dac
lappend vmediagmenulist "IP-16DAC diagnostics..."

lappend tasklist     "ip16adc #"
lappend vmediagtasklist ip16adc
lappend vmediagmenulist "IP-16ADC diagnostics..."

lappend tasklist     "ipunidig-e-48 #"
lappend vmediagtasklist ipdige48
lappend vmediagmenulist "IP-Unidig-E-48 diagnostics..."

lappend tasklist     "ipdio48 #"
lappend vmediagtasklist ipdio48
lappend vmediagmenulist "IP-Digital48 diagnostics..."

lappend tasklist     "ipdpit #"
lappend vmediagtasklist ipdpit
lappend vmediagmenulist "IP-Dual PI/T diagnostics..."

lappend tasklist     "ipencoder6 #"
lappend vmediagtasklist ipencoder6
lappend vmediagmenulist "IP-Encoder6 diagnostics..."

lappend tasklist     "ipquadrature #"
lappend vmediagtasklist ipquadrature
lappend vmediagmenulist "IP-Quadrature diagnostics..."

lappend tasklist     "ip232 #"
lappend vmediagtasklist ip232
lappend vmediagmenulist "IP-232 diagnostics..."

lappend tasklist     "ip485 #"
lappend vmediagtasklist ip485
lappend vmediagmenulist "IP-485 diagnostics..."

set vmediagmenu {}
foreach item $vmediagmenulist {
   if {$item != ""} then {lappend vmediagmenu $item}
}

proc click-vmediag m {
   global vmediagtasklist vmediagmenulist
   set task [lindex $vmediagtasklist [lsearch $vmediagmenulist $m]]
   inform $task start
}

set ACTION(vmediag) "VMEDIAG-MENU \{click-vmediag \$v\}"

set MENU(vmediag)   "global vmediagmenu; :menubutton VMEDIAG-MENU  :label \"VME Diagnostics\" :strings \$vmediagmenu"

